PHP Manual
Prev |  | Next

# SDO_DAS_DataFactory::addType

(no version information, might be only in CVS)

SDO_DAS_DataFactory::addType -- Add a new type to a model

## Description

void SDO_DAS_DataFactory::addType ( string namespaceURI, string typeName )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Add a new type to the SDO_DAS_DataFactory, defined by its namespace and type name. The type becomes part of the model of data objects that the data factory can create.

## Parameters

namespaceURI

  The namespace of the type.

typeName

  The name of the type.

## Return Values

No values returned.

## Examples

Example 1. A SDO_DAS_DataFactory::addType() example The following adds a new data object type of 'CompanyType' where that type belongs to the namespace 'CompanyNS'.
`<?php $df->addType('CompanyNS', 'CompanyType'); ?>`

Prev | Home | Next
SDO_DAS_DataFactory::addPropertyToType | Up | SDO_DAS_DataFactory::getDataFactory